# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
for collection in pc.collections.list():
print(collection.name, collection.status)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const { collections = [] } = await pc.collections.list();
for (const collection of collections) {
console.log(collection.name, collection.status);
}
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
collections, err := pc.ListCollections(ctx)
if err != nil {
log.Fatalf("Failed to list collections: %v", err)
}
for _, collection := range collections {
fmt.Println(collection.Name, collection.Status)
}
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"collections": [
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "small-collection",
"size": 3126700,
"status": "Ready",
"vector_count": 99
},
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "small-collection-new",
"size": 3126700,
"status": "Initializing",
"vector_count": 99
},
{
"dimension": 1536,
"environment": "us-east1-gcp",
"name": "big-collection",
"size": 160087040000000,
"status": "Ready",
"vector_count": 10000000
}
]
}Backups
List collections
List all collections in a project.
Collections are supported only for pod-based indexes. Pod-based indexes cannot be created with API version 2026-07, so this operation applies to pod-based indexes created with an earlier API version.
GET
/
collections
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
for collection in pc.collections.list():
print(collection.name, collection.status)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const { collections = [] } = await pc.collections.list();
for (const collection of collections) {
console.log(collection.name, collection.status);
}
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
collections, err := pc.ListCollections(ctx)
if err != nil {
log.Fatalf("Failed to list collections: %v", err)
}
for _, collection := range collections {
fmt.Println(collection.Name, collection.Status)
}
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"collections": [
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "small-collection",
"size": 3126700,
"status": "Ready",
"vector_count": 99
},
{
"dimension": 3,
"environment": "us-east1-gcp",
"name": "small-collection-new",
"size": 3126700,
"status": "Initializing",
"vector_count": 99
},
{
"dimension": 1536,
"environment": "us-east1-gcp",
"name": "big-collection",
"size": 160087040000000,
"status": "Ready",
"vector_count": 10000000
}
]
}# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
for collection in pc.collections.list():
print(collection.name, collection.status)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const { collections = [] } = await pc.collections.list();
for (const collection of collections) {
console.log(collection.name, collection.status);
}
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
collections, err := pc.ListCollections(ctx)
if err != nil {
log.Fatalf("Failed to list collections: %v", err)
}
for _, collection := range collections {
fmt.Println(collection.Name, collection.Status)
}
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
Authorizations
Headers
Required date-based version header
Response
List all the collections in your current project.
The list of collections that exist in the project.
List of collections in the project
Show child attributes
Show child attributes
Was this page helpful?